@echo off

cd ..

echo Deleting Temp Classes...
rd /S /Q tempclasses
mkdir tempclasses

echo Deleting Old JARs...
rd /S /Q jars
mkdir jars

echo Deleting Release...
rd /S /Q release
mkdir release

echo Building Belot...
cd build
javac -target 1.1 -classpath ..\tempclasses;..\src -d ..\tempclasses ..\src\org\belot\server\BelotServer.java ..\src\org\belot\client\BelotClient.java

echo Copying Pictures...
cd ..
copy .\src\org\belot\client\images\*.png .\tempclasses\org\belot\client\images

echo Making JARs...
cd tempclasses
jar cfM belot.jar .
move belot.jar ..\jars

echo Cleaning Up...
cd ..
rd /S /Q tempclasses

echo Building Release...
jar cfM belot_src.zip *
jar cfM belot_bin.zip bin jars

cd release
move ..\*.zip .
jar cfM belot.0.9.1.zip *
del belot_bin.zip
del belot_src.zip
cd ..

cd build

echo Done.
pause