package org.belot.client;

public class BelotClientPlayer {

  private String name;
  private String ip;
  private int direction;
  private long id;

  public BelotClientPlayer(String name, String ip, int direction, long id) {
    synchronized (this) {
      if (name == null) {
        name = "";
      } else {
        name = name.trim();
      }
      this.name = name;
      this.ip = ip;
      this.direction = direction;
      this.id = id;
    }
  }

  public synchronized int getDirection() {
    return direction;
  }

  public synchronized long getId() {
    return id;
  }

  public synchronized String getIp() {
    return ip;
  }

  public synchronized String getName() {
    return name;
  }

}