package org.belot.client;

import javax.swing.*;

public class BelotMenuItem extends JMenuItem {

  public BelotMenuItem(String text) {
    super(text);
  }

  public void setEnabled(boolean enabled) {
    boolean wasEnabled = super.isEnabled();
    boolean wasVisible = super.isVisible();
    if (wasEnabled != enabled || wasVisible != enabled) {
      super.setVisible(enabled);
      super.setEnabled(enabled);
    }
  }

}