package org.belot.client;

import org.belot.server.*;

public class CardsParser {

  public static BelotCard[] parseCards(String[] parseResult, int length) throws Exception {
    BelotCard[] cards = new BelotCard[length];
    for (int i = 0; i < length; ++i) {
      int number;
      int color;

      String line = parseResult[1];
      BelotServerProtocol.parse(line, parseResult);
      line = parseResult[1];
      BelotServerProtocol.parse(line, parseResult);
      line = parseResult[1];
      number = Integer.parseInt(parseResult[0]);
      BelotServerProtocol.parse(line, parseResult);
      line = parseResult[1];
      color = Integer.parseInt(parseResult[0]);
      if (number < 7 || color < 0) {
        cards[i] = null;
      } else {
        cards[i] = new BelotCard(color, number);
      }
      System.out.println("Parsed Card: " + cards[i]);
    }
    return cards;
  }

//  public static void main(String[] arg) throws Exception {
//    BelotDeck deck = new BelotDeck();
//    deck.shuffle();
//    BelotCard[] cardsFrom = new BelotCard[8];
//    deck.deal(cardsFrom, 0, cardsFrom.length);
//    CardsComparator comparator = new CardsComparator();
//    comparator.setTrump(BelotColor.AllTrump);
//    comparator.sortCards(cardsFrom);
//    System.out.println("Cards From:");
//    for (int i = 0; i < cardsFrom.length; ++i) {
//      System.out.println(cardsFrom[i]);
//    }
//    String cardsAsString = BelotServerProtocol.listCards(cardsFrom);
//    System.out.println("cardsAsString = " + cardsAsString);
//    String[] parseResult = new String[2];
//    BelotServerProtocol.parse(cardsAsString, parseResult);
//    BelotCard[] cardsTo = parseCards(parseResult[1], 8);
//    System.out.println("Cards To:");
//    for (int i = 0; i < cardsTo.length; ++i) {
//      System.out.println(cardsTo[i]);
//    }
//  }
//
}