package org.belot.protocol;

public interface BelotProtocol {

  // Port:

  public static final int BelotPort = 54321;

  // Server to Client:

  public static final String YourId = "YourId";

  public static final String GameStarted = "GameStarted";
  public static final String DealingStarted = "DealingStarted";
  public static final String PlayerBet = "PlayerBet";
  public static final String PlayerAnnounce = "PlayerAnnounce";
  public static final String PlayerPlay = "PlayerPlay";
  public static final String PlayerPlayBelot = "PlayerPlayBelot";

  public static final String CurrentPlayerBet = "CurrentPlayerBet";
  public static final String CurrentPlayerPlay = "CurrentPlayerPlay";
  public static final String NoGameAtPresent = "NoGameAtPresent";
  public static final String NoDealingAtPresent = "NoDealingAtPresent";

  public static final String YourCards = "YourCards";
  public static final String CurrentTrump = "CurrentTrump";
  public static final String CurrentHand = "CurrentHand";
  public static final String PlayerList = "PlayerList";
  public static final String ActivePlayersList = "ActivePlayersList";
  public static final String PlayerConnected = "PlayerConnected";
  public static final String PlayerDisconnected = "PlayerDisconnected";
  public static final String PlayerChanged = "PlayerChanged";
  public static final String Message = "Message";
  public static final String Scores = "Scores";
  public static final String CommandResponse = "CommandResponse";

  // Client to Server:

  public static final String StartGame = "StartGame";
  public static final String StartDealing = "StartDealing";
  public static final String ListPlayers = "ListPlayers";
  public static final String Direction = "Direction";
  public static final String Name = "Name";
  public static final String TrumpChoice = "TrumpChoice";

  public static final String Announce = "Announce";

  public static final int AnnounceBelot = 1;

  public static final int AnnounceSequence3 = 2;
  public static final int AnnounceSequence4 = 3;
  public static final int AnnounceSequence5 = 4;
  public static final int AnnounceFourOther = 5;
  public static final int AnnounceFourNines = 6;
  public static final int AnnounceFourJacks = 7;
//  public static final int Announce700 = 700;
//  public static final int Announce800 = 800;

  public static final String Play = "Play";
  public static final String PlayBelot = "PlayBelot";
  public static final String GetCards = "GetCards";
  public static final String Say = "Say";
  public static final String Exit = "Exit";

  // Directions:

  public static final int Unknown = -1;
  public static final int West = 0;
  public static final int South = 1;
  public static final int East = 2;
  public static final int North = 3;

  public static final String AnonymousCoward = "Anonymous Coward";

}