package org.belot.server;

import org.belot.protocol.*;

public class BelotPlayer {

  private static long staticId = 0;

  private String name;
  private String ip;
  private int direction;
  private long id;

  public BelotPlayer(String ip) {
    synchronized (this) {
      this.name = BelotProtocol.AnonymousCoward;
      this.ip = ip;
      this.direction = BelotProtocol.Unknown;
      synchronized (getClass()) {
        this.id = staticId++;
      }
//      if (id < 5) {
//        switch ((int)id) {
//          case (0) : {
//            this.name = "West";
//            this.direction = 0;
//            break;
//          } case (1) : {
//            this.name = "South";
//            this.direction = 1;
//            break;
//          } case (2) : {
//            this.name = "East";
//            this.direction = 2;
//            break;
//          } case (3) : {
//            this.name = "North";
//            this.direction = 3;
//            break;
//          }
//        }
//      }
    }
  }

  public synchronized void setIp(String _ip) {
    ip = _ip;
  }

  public synchronized String getIp() {
    return ip;
  }

  public synchronized void setName(String _name) {
    name = _name;
    if (name == null) {
      name = "";
    } else {
      name = name.trim();
    }
  }

  public synchronized String getName() {
    return name;
  }

  public synchronized void setDirection(int _direction) {
    if (_direction < -1 || _direction > 3) {
      _direction = -1;
    }
    direction = _direction;
  }

  public synchronized int getDirection() {
    return direction;
  }

  public synchronized long getId() {
    return id;
  }

}